import { createStore } from 'vuex'
import axios from 'axios'

export default createStore({
  state() {
    return {
      notes: [{ id: 1, text: 'A note from the Vuex store!' }]
    }
  },
  mutations: {
    FETCH_NOTES(state) {
      axios
        .get('http://localhost:3000/notes')
        .then(response => {
          state.notes = response.data
        })
        .catch(error => {
          console.log('There was an error:', error.response)
        })
    },
    ADD_NOTE(state, note) {
      state.notes.push(note)
    }
  },
  actions: {}
})
